namespace Hive.Unity.Editor
{
    internal partial class XmlMarket
    {
        HiveConfigXmlData data;

        internal Lebi lebi;

        internal partial class Lebi
        {
            HiveConfigXmlData data;

            internal string wechatPaymentKey;
        }
    }





    internal partial class XmlMarket
    {
        internal XmlMarket(HiveConfigXmlData data)
        {
            lebi = new Lebi(data);
        }

        internal partial class Lebi
        {
            internal Lebi(HiveConfigXmlData data)
            {
                wechatPaymentKey = data.Xml.weChatPaymentKey;
            }

            internal void Apply()
            {
                data.Xml.weChatPaymentKey = wechatPaymentKey;
            }
        }
    }
}